Bug 482965 - Review Request: perl-XML-Generator - perl XML generator
Review Request: perl-XML-Generator - perl XML generator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 485164 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 21:11 EST by Dennis Gilmore
Modified: 2009-03-09 19:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.01-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-03 23:58:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2009-01-28 21:11:18 EST
Spec URL: http://ausil.us/packages/perl-XML-Generator.spec
SRPM URL: http://ausil.us/packages/perl-XML-Generator-1.01-1.fc10.src.rpm
Description: 
perl module for generating XML documents
Comment 1 Parag AN(पराग) 2009-01-28 22:38:13 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1090315
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
8f9e6ba2595b07997efac1377c5484e9  XML-Generator-1.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=97,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.09 cusr  0.02 csys =  0.15 CPU)
+ Package perl-XML-Generator-1.01-1.fc11 =>
  Provides:  perl(XML::Generator) = 1.01 perl(XML::Generator::cdata) perl(XML::Generator::comment) perl(XML::Generator::final) perl(XML::Generator::overload) perl(XML::Generator::pi) perl(XML::Generator::pretty) perl(XML::Generator::util)
 Requires: perl(Carp) perl(base) perl(constant) perl(overload) perl(strict) perl(vars)

Any reason for removing DOM.pm?
Comment 2 Dennis Gilmore 2009-01-28 23:39:55 EST
I honestly do not know why DOM.pm is removed. i picked up the spec from spacewalk and cleaned it up.  lets add it back.

Spec URL: http://ausil.us/packages/perl-XML-Generator.spec
SRPM URL: http://ausil.us/packages/perl-XML-Generator-1.01-2.fc10.src.rpm
Comment 3 Ralf Corsepius 2009-01-29 00:17:37 EST
Still some issues:

* The t/DOM.t test fails due to a missing XML::DOM
=> Please add
BuildRequires: perl(XML::DOM)
This should let the testsuite succeed.

* This is a noarch package.
=> No need to pass OPTIMIZE in %build
Please remove OPTIMIZE.
Comment 4 Parag AN(पराग) 2009-01-29 00:30:13 EST
(In reply to comment #3)
> Still some issues:
> 
> * The t/DOM.t test fails due to a missing XML::DOM
> => Please add
> BuildRequires: perl(XML::DOM)
> This should let the testsuite succeed.
> 
> * This is a noarch package.
> => No need to pass OPTIMIZE in %build
> Please remove OPTIMIZE.

Thanks for this comment. I thought its ok not to care much for noarch packages. Thanks will take care to ask to remove OPTIMIZE for perl noarch packages.
Comment 5 Dennis Gilmore 2009-01-29 17:12:42 EST
fixed in 
Spec URL: http://ausil.us/packages/perl-XML-Generator.spec
SRPM URL: http://ausil.us/packages/perl-XML-Generator-1.01-3.fc10.src.rpm

i checked that the tests did infact complete sucessfully
Comment 6 Parag AN(पराग) 2009-01-30 01:03:30 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1092744
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
8f9e6ba2595b07997efac1377c5484e9  XML-Generator-1.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=132,  0 wallclock secs ( 0.03 usr  0.00 sys +  0.17 cusr  0.02 csys =  0.22 CPU)
+ Package perl-XML-Generator-1.01-3.fc11 =>
 Provides:
 perl(XML::Generator) = 1.01
 perl(XML::Generator::DOM) = 0.2
 perl(XML::Generator::DOM::util)
 perl(XML::Generator::cdata)
 perl(XML::Generator::comment)
 perl(XML::Generator::final)
 perl(XML::Generator::overload)
 perl(XML::Generator::pi)
 perl(XML::Generator::pretty)
 perl(XML::Generator::util)

Requires:
 perl(Carp)
 perl(XML::DOM)
 perl(XML::Generator)
 perl(base)
 perl(constant)
 perl(overload)
 perl(strict)
 perl(vars)

APPROVED.
Comment 7 Parag AN(पराग) 2009-02-11 21:14:05 EST
*** Bug 485164 has been marked as a duplicate of this bug. ***
Comment 8 Dennis Gilmore 2009-02-11 21:26:21 EST
New Package CVS Request
=======================
Package Name: perl-XML-Generator
Short Description: perl module for generating XML documents
Owners: ausil
Branches: EL-5 F-9 F-10
InitialCC: perl-sig
Comment 9 Dennis Gilmore 2009-02-11 21:26:39 EST
CVS Done
Comment 10 Parag AN(पराग) 2009-02-22 23:45:24 EST
Can you close this review if this package is built for all requested branches?
Comment 11 Parag AN(पराग) 2009-03-03 23:58:28 EST
looks this package is already built for requested branches therefore closing this review now.
Comment 12 Fedora Update System 2009-03-09 18:57:58 EDT
perl-XML-Generator-1.01-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-03-09 19:04:15 EDT
perl-XML-Generator-1.01-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.